;---------------------------------------------------------------------------
; STAND_JAB
[Statedef 200]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 2             ;Number of air juggle points move takes
velset = 0,0,0                   ;Set velocity (x,y,z) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 200                         ;Change animation (Def: no change)
poweradd = 15                    ;Power to add (Def: 0)

[State 200, 0]
type = null;PlaySnd
trigger1 = AnimElem = 3
value = 2,0

[State 200, 5]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage   = 18                    ;Damage that move inflicts
guardflag = MA                   ;Flags on how move is to be guarded against
priority = 3
pausetime = 8,9
sparkxy = -5,-60                ;X-offset for the "hit spark" rel. to p2,
sparkno = 0,3
hitsound = 5,0                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
ground.type = High                 ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 5
ground.hittime  = 10
ground.velocity = -2
airguard.velocity = -3,-2.5
air.velocity = -2,-3

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; STAND_SHORT
[Statedef 210]
type    = S
movetype= A
physics = S
juggle  = 2
poweradd= 15
ctrl = 0
velset = 0,0,0
anim = 210

[State 210, 2]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA
damage   = 15
guardflag = MA                   ;Flags on how move is to be guarded against
priority = 3
pausetime = 8,10                 ;Time attacker pauses, time victim shakes
sparkxy = -10,-5
sparkno = 0,3
hitsound = 5,0                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
ground.type = Low                 ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 8             ;Time that the victim slides back
ground.hittime  = 10             ;Time victim is in hit state
ground.velocity = -4             ;Velocity at which victim is pushed
airguard.velocity = -1.9,-.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
air.velocity = -1.3,-3           ;X-velocity at which victim is pushed,

[State 210, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; STAND_FIERCE
[Statedef 205]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 4             ;Number of air juggle points move takes
velset = 0,0,0                   ;Set velocity (x,y,z) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 205                         ;Change animation (Def: no change)
poweradd = 50                    ;Power to add (Def: 0)

[State 205, 0]
type = PlaySnd
trigger1 = AnimElem = 1
value = 2,0

[State 205, 5]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage   = 60                    ;Damage that move inflicts
animtype = Heavy                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
pausetime = 13,12                 ;Time attacker pauses, time victim shakes
sparkxy = -10,-60                ;X-offset for the "hit spark" rel. to p2,
hitsound = 5,3                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
ground.type = High                 ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 15             ;Time that the victim slides back
ground.hittime  = 14             ;Time victim is in hit state
ground.velocity = -7             ;Velocity at which victim is pushed
air.velocity = -1.3,-3           ;X-velocity at which victim is pushed,
                                 ;Y-velocity at which victim is pushed

[State 205, 7]
type = ChangeState               ;Change state
trigger1 = AnimTime = 0
value = 0                        ;to the stand state
ctrl=1

;---------------------------------------------------------------------------
; STAND_ROUNDHOUSE
[Statedef 220]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 60
ctrl = 0
velset = 0,0,0
anim = 220

[State 220, 0]
type = PlaySnd
trigger1 = AnimElem = 1
value = 2,0

[State 220, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage   = 70                    ;Damage that move inflicts
animtype = Heavy
guardflag = MA                   ;Flags on how move is to be guarded against
pausetime = 14,18                 ;Time attacker pauses, time victim shakes
sparkxy = -10,-60                ;X-offset for the "hit spark" rel. to p2,
hitsound = 5,3                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
ground.type = High
ground.slidetime = 15             ;Time that the victim slides back
ground.hittime  = 15             ;Time victim is in hit state
ground.velocity = -5             ;Velocity at which victim is pushed
guard.velocity = -5
air.velocity = -5,-2           ;X-velocity at which victim is pushed,

[State 220, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;ELBOW
[Statedef 230]
type    = S
movetype= A
physics = S
juggle  = 3
poweradd= 60
ctrl = 0
velset = 0,0,0
anim = 230

[State 230 ,2]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage   = 40                    ;Damage that move inflicts
animtype = Medium                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
pausetime = 8,12                 ;Time attacker pauses, time victim shakes
sparkxy = -10,-60                ;X-offset for the "hit spark" rel. to p2,
hitsound = 5,2                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
ground.type = High                 ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 10             ;Time that the victim slides back
ground.hittime  = 14             ;Time victim is in hit state
ground.velocity = -5             ;Velocity at which victim is pushed
air.velocity = -1.3,-3           ;X-velocity at which victim is pushed,

[State 230, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;HANDSTAND KICK
[Statedef 240]
type    = S
movetype= A
physics = S
juggle  = 6
poweradd= 60
ctrl = 0
velset = 0,0,0
anim = 240

[State 240, 0]
type = PlaySnd
trigger1 = AnimElem = 1
value = 0,0

[State 240, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage   = 60                    ;Damage that move inflicts
animtype = Heavy                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
pausetime = 10,12                 ;Time attacker pauses, time victim shakes
sparkxy = -10,-60                ;X-offset for the "hit spark" rel. to p2,
hitsound = 5,3                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
ground.type = High                 ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 13             ;Time that the victim slides back
ground.hittime  = 20            ;Time victim is in hit state
ground.velocity = -.5,-7             ;Velocity at which victim is pushed
guard.velocity = -5
air.velocity = -.5,-7           ;X-velocity at which victim is pushed,
air.hittime = 20
fall = 0                         ;1 to cause opponent to fall (def: 0)
fall.damage = 0                  ;Damage opponent takes on fall
fall.velocity = n/a,-4.5         ;X, Y-velocity after bouncing off ground
fall.animtype = Back             ;Animation type for falling people (def: Back)
air.fall = 0                     ;1 to cause opponent to fall if in air (def: same as fall)

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;CROUCH_JAB
[Statedef 400]
type    = C
movetype= A
physics = C
juggle  = 6
poweradd= 15
ctrl = 0
anim = 400

[State 400, 2]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 14
animtype  = Light
getpower  = 10
givepower = 8
hitflag = MAFD
guardflag = MA
pausetime = 10,12
sparkxy = -2,-41
hitsound   = 5,0
guardsound = 6,0
ground.type = Low
ground.slidetime = 4
ground.hittime  = 12
ground.velocity = -4
air.velocity = -1.3,-3
sparkno = 0,3

[State 400, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl=1

;---------------------------------------------------------------------------
;CROUCH_FIERCE
[Statedef 405]
type    = C
movetype= A
physics = C
juggle  = 6
poweradd= 15
ctrl = 0
anim = 405

[State 405, 2]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 50
animtype  = Heavy
getpower  = 10
givepower = 8
hitflag = MAFD
guardflag = MA
pausetime = 14,17
sparkxy = -2,-41
hitsound   = 5,3
guardsound = 6,0
ground.type = Low
ground.slidetime = 4
ground.hittime  = 15
ground.velocity = -4
air.velocity = -1.3,-3

[State 405, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl=1

;---------------------------------------------------------------------------
;CROUCH_SHORT
[Statedef 410]
type    = C
movetype= A
physics = C
juggle  = 7
poweradd= 15
ctrl = 0
anim = 410

[State 410, 3]
type = HitDef
trigger1 = AnimElem = 2
attr = C, NA
damage   = 8
guardflag = LA                 ;Flags on how move is to be guarded against
priority = 3
pausetime = 8,9                 ;Time attacker pauses, time victim shakes
sparkxy = -10,-5
sparkno = 0,3
hitsound = 5,0                   ;Sound to play on hit
guardsound = 6,0                 ;Sound to play on guard
ground.type = Low                 ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 8             ;Time that the victim slides back
ground.hittime  = 8             ;Time victim is in hit state
ground.velocity = -4.5             ;Velocity at which victim is pushed
airguard.velocity = -1.9,-.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
air.velocity = -1.3,-3           ;X-velocity at which victim is pushed,

[State 410, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;CROUCH_SWEEP
[Statedef 420]
type    = C
movetype= A
physics = C
juggle  = 7
poweradd= 50
ctrl = 0
anim = 420

[State 420, 0]
type = PlaySnd
trigger1 = AnimElem = 1
value = 0, 0

[State 420, 3]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 55
getpower  = 40
givepower = 40
hitflag = MAFD
guardflag = LA
pausetime = 12,12
sparkxy = -5,-10
sparkno = 0,5
hitsound   = 5,2
guardsound = 6,0
ground.type = Trip
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = -1.5,-2
air.velocity = -1.2,-3
guard.velocity = -5
fall = 1

[State 420, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;JUMP_JAB
[Statedef 600]
type    = A
movetype= A
physics = A
juggle  = 1
poweradd= 11
ctrl = 0
anim = 600

[State 600, 2]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 15
getpower  = 10
givepower = 10
guardflag = HA
priority = 3
pausetime = 7,8
sparkxy = -10,-58
hitsound   = 5,0
guardsound = 6,0
ground.type = High
ground.slidetime = 5
ground.hittime  = 5
ground.velocity = -4
air.velocity = -1.3,-.3

[State 600, 3]
type = CtrlSet
trigger1 = Time = 17
value = 1

[State 600, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 50

;---------------------------------------------------------------------------
;JUMP_FIERCE
[Statedef 605]
type    = A
movetype= A
physics = A
juggle  = 3
poweradd= 55
ctrl = 0
anim = 605

[State 605, 0]
type = PlaySnd
trigger1 = AnimElem = 1
value = 2,0

[State 605, 3]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 60
getpower  = 50
givepower = 25
guardflag = HA
priority = 3
pausetime = 9,10
sparkxy = -10,-51
hitsound   = 5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime  = 9
ground.velocity = -4
air.fall = 1
air.velocity = -5,6

[State 605, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;---------------------------------------------------------------------------
;JUMP_KNEE
[Statedef 610]
type    = A
movetype= A
physics = A
juggle  = 1
poweradd= 11
ctrl = 0
anim = 610

[State 610, 2]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 13
guardflag = HA
priority = 3
pausetime = 7,8
sparkxy = -10,-51
hitsound   = 5,0
guardsound = 6,0
ground.type = High
ground.slidetime = 5
ground.hittime  = 5
ground.velocity = -4
air.velocity = -1.3,-.3

[State 610, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl=1

;---------------------------------------------------------------------------
;JUMP_KICK
[Statedef 620]
type    = A
movetype= A
physics = A
juggle  = 3
poweradd= 55
ctrl = 0
anim = 620

[State 620, 0]
type = PlaySnd
trigger1 = AnimElem = 1
value = 2,0

[State 620, 3]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 60
guardflag = HA
priority = 4
pausetime = 10,10
sparkxy = -10,-51
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime  = 9
ground.velocity = -5
air.fall = 1
air.velocity = -6,6

[State 620, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;---------------------------------------------------------------------------
;STOMP
[Statedef 640]
type    = A
movetype= A
physics = A
juggle  = 2
poweradd= 11
ctrl = 0
anim = 640
velset = 2,4

[State 605, 0]
type = PlaySnd
trigger1 = AnimElem = 1
value = 0,0

[State 640, 2]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 60
guardflag = HA
priority = 3
pausetime = 6,6
sparkxy = -10,-51
hitsound   = 5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 9
ground.hittime  = 20
ground.velocity = -3
air.fall = 1
air.velocity = -.5,7
fall.damage = 10
fall.recover = 0

[State 640, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;---------------------------------------------------------------------------
; THROW ATTEMPT
[Statedef 900]
type    = S
movetype= A
physics = S
juggle  = 0
ctrl = 0
velset = 0
anim = 900

[State 900, 3]
type = HitDef
Trigger1 = Time = 1
attr = S, NT
getpower  = 50
givepower = 40
hitflag = M-
priority = 2, Miss
snap = 20, 0, 0
sparkxy = -25, -70
sparkno = -1
p2facing = 1
p1stateno = 905
p2stateno = 910
;p2getp1state = 1
hitsound = 6,0
fall = 1
fall.velocity = -2,-4.5
fall.animtype = Back

[State 900, 4]
type = ChangeState
Trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; THROW (success)
[Statedef 905]
type    = S
movetype= A
physics = N
anim = 905
velset = 0,0,0

[State 905, 1]
type = PlaySnd
Trigger1 = Time = 10
value = 0, 0

[State 905, 2]
type = HitBy
Trigger1 = Time = 0
value = SCA
time = 40

[State 905, 6]
type = Turn
Trigger1 = AnimElem = 5

[State 905, 8]
type = CtrlSet
Trigger1 = AnimTime = 0
value = 1

[State 905, 9]
type = ChangeState
Trigger1 = AnimTime = 0
value = 0

;---------------------------------------------------------------------------
; THROWN
[Statedef 910]
type    = A
movetype= H ;Get hit
physics = N

[State 910, 0]
type = CtrlSet
Trigger1 = Time = 0
value = 0

[State 910, 1]
type = HitBy
Trigger1 = Time >= 0
value = SCA
time = 1

[State 910, 2]
type = HitFallSet
Trigger1 = Time = 0
value = 1

[State 910, 3]
type = VelSet
Trigger1 = Time = 0
x = 0
y = 0
z = 0

[State 910, 4]
type = ChangeAnim2
Trigger1 = Time = 0
value = 910

[State 910, 5]
type = PosAdd
Trigger1 = Time = 15
x = 14

[State 910, 6]
type = Turn
Trigger1 = Time = 20

[State 910, 7]
type = PosAdd
Trigger1 = Time = 25
x = -32
y = -5

[State 910, 8]
type = PosAdd
Trigger1 = Time = 30
x = -19
y = -5

[State 910, 9]
type = LifeAdd
Trigger1 = Time = 28
value = -85

[State 910, 10]
type = PowerAdd
trigger1 = Time = 28
value = 75

[State 910, 11]
type = VelSet
trigger1 = Time = 28
x = -3
y = 5

[State 910, 12] 
type = SelfState
Trigger1 = Time = 30
value = 5100

;---------------------------------------------------------------------------
; THROWN by Shinobu's THROW1 (going through air)
[Statedef 911]
type    = A
movetype= H ;Get hit
physics = N

[State 911, 3]
type = VelSet
Trigger1 = Time = 0
x = -1
y = -7.5

[State 911, 4] ;Acceleration
type = VelAdd
Trigger1 = Time >= 0
y = .35

[State 911, 5] 
type = SelfState
Trigger1 = Vel Y > 0
trigger1 = Pos Y > 25
value = 5100

[State 911, 6] ; Recover near ground (use ChangeState)
type = ChangeState
triggerall = Vel Y > 0
triggerall = Pos Y >= -20
triggerall = alive = 1
triggerall = CanRecover = 1
trigger1 = Command = recovery
value = 5200 ;HITFALL_RECOVER

[State 911, 7] ; Recover in mid air (use SelfState)
type = SelfState
triggerall = Vel Y > -1
triggerall = Vel Y < 40 ;4
triggerall = alive = 1
triggerall = CanRecover = 1
trigger1 = Command = recovery
value = 5210 ;HITFALL_AIRRECOVER